Bug 42 - Add support for priority (left to right, comma-separated) CDDB source selection
Summary: Add support for priority (left to right, comma-separated) CDDB source selection
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: CD lookup (show other bugs)
Version: unspecified
Hardware: All All
: Normal normal
Assignee: Steve McIntyre
URL:
Depends on:
Blocks:
 
Reported: 2016-09-02 10:10 BST by Gabriel Rosenkoetter
Modified: 2018-02-21 21:08 GMT (History)
1 user (show)

See Also:


Attachments
change handling of CDDBMETHOD to process a CSV list, ordered LTR (7.00 KB, application/octet-stream)
2016-09-02 10:10 BST, Gabriel Rosenkoetter
Details
change handling of CDDBMETHOD to process a CSV list, ordered LTR (7.00 KB, patch)
2016-09-02 10:24 BST, Gabriel Rosenkoetter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Rosenkoetter 2016-09-02 10:10:36 BST
Created attachment 32 [details]
change handling of CDDBMETHOD to process a CSV list, ordered LTR

Rather than checking just one CDDBMETHOD and then falling through to "let the user all the things out", it'd be neat if we could maybe check an ordered list of CDDB sources before we gave up entirely.

The attached patch does that.

Still to come:
- handle any sort of "resume" case (I haven't tested this extensively, and I think that in the resume case, what the patched script will do isn't really what I think it should do, but it's still what's always happened in that case)
- even if all CDDB lookups fail, ask for the artist and album name before making the user fill out the whole damn CDDB entry: I haven't dug into this very far, but I have experienced cases in which a MusicBrainz lookup fails to get CDDB info, but then after I've typed all of that in, we find the album art through MB. Something smells slightly fishy here, and I think I can fix it.
Comment 1 Gabriel Rosenkoetter 2016-09-02 10:24:57 BST
Created attachment 33 [details]
change handling of CDDBMETHOD to process a CSV list, ordered LTR

hey, let's tag this as a "patch" rather than "octet-stream"! That sounds neat!
Comment 2 Steve McIntyre 2016-09-21 00:56:26 BST
Hi Gabriel,

I've done some quick code review and testing, and this looks good. Merged!
Comment 3 Andrew Strong 2017-01-24 07:03:09 GMT
Hey Gabriel! Great to see your work in abcde 2.8.1 :).

There is a small issue which I confess I have not delved into too deeply yet.I have found that if the following is set:

CDDBMETHOD=musicbrainz,cddb

If musicbrainz fails to find a match a cddb search is started, all well and good. However on my system the cddb search fails even when setting:


CDDBMETHOD=cddb

is successful with the same CD. I would be interested to see if you can duplicate this result.

Fallback to a local cddb copy also does not appear to work if the following is set:

CDDBCOPYLOCAL="y"
CDDBLOCALDIR="$HOME/.cddb"
CDDBLOCALRECURSIVE="y"
CDDBUSELOCAL="y"

I confess that I am scaling back my time on the computer world a little at the moment so I have not examined this in great detail but I would be interested to hear what yourself and Steve think of these issues...

And thanks for your work that has already been incorporated in abcde!!
Comment 4 Steve McIntyre 2018-02-21 21:08:15 GMT
The changes I've just pushed fix this in a slightly different way, I think.